PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Protected Member Functions | Protected Attributes | List of all members
PHTML::ImageElement Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::ImageElement:
[legend]
Collaboration diagram for PHTML::ImageElement:
[legend]

## Protected Member Functions
| ImageElement (const char *nam, const char *attr, ElementInSet elmt, ElementInSet req, OptionalCRLF opt, const char *image)
virtual | ~ImageElement ()
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Protected Attributes
const char * | srcString

## Additional Inherited Members
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::ImageElement::ImageElement | ( | const char * | nam,
|  | const char * | attr,
|  | ElementInSet | elmt,
|  | ElementInSet | req,
|  | OptionalCRLF | opt,
|  | const char * | image
| ) |  |
| protected

virtual PHTML::ImageElement::~ImageElement | ( |  | ) |
| inline protected virtual

## Member Function Documentation

virtual void PHTML::ImageElement::AddAttr | ( | PHTML & | html | ) | const
| protected virtual

Reimplemented from PHTML::Element.

Reimplemented in PHTML::Image.

## Member Data Documentation

const char* PHTML::ImageElement::srcString
| protected

The documentation for this class was generated from the following file:

- html.h